> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/server/de/knowledge-base/troubleshooting-articles/unexpected-exception.-please-see-server-logs-for-details.md).

# Unexpected exception. Please see server logs for details

Die folgende Fehlermeldung erscheint beim Versuch, sich nach einem Devolutions Server-Update über Entra ID SSO zu verbinden:

`{"errorMessage" :"Unexpected exception. Please see server logs for details.","result":0}`

### Lösungen

1. Öffnen Sie die Devolutions Server Console und gehen Sie zu ***Server - Logs***.
2. Suchen Sie den folgenden Fehler in den Protokollen:

```
OAuthTokenEndpointException - OAuth token endpoint error: {"error":"invalid_client","error_description":"AADSTS7000215: Invalid client secret provided.
```

3. Stellen Sie sicher, dass das in der Anfrage gesendete Secret der Client-Secret-Wert ist und nicht die Client-Secret-ID eines zur Anwendung hinzugefügten Secrets.
4. Gehen Sie zur Devolutions Server-Web-App im Entra ID Portal.
   1. Stellen Sie sicher, dass die [API-Berechtigung ordnungsgemäß festgelegt und gewährt wurde](/server/de/knowledge-base/how-to-articles/configure-microsoft-authentication-with-entra-id.md#app-registration-in-the-azure-portal) in Entra ID unter ***Home*** – ***App registration*** – ***API permissions***. Vergewissern Sie sich außerdem, dass die Anwendungsregistrierung auf ***Web*** konfiguriert ist, und prüfen Sie, ob die Adresse korrekt ist.
   2. Erstellen Sie ein neues Secret und kopieren Sie dessen Wert. Setzen Sie sich mit Ihrer bevorzugten Methode eine Erinnerung einen Monat vor dessen Ablauf.
5. Gehen Sie in der Devolutions Server-Weboberfläche zu ***Administration*** – ***Server settings*** – ***Authentication*** – ***Microsoft authentication***. Anschließend:
   1. Fügen Sie das neue Client-Secret ein.
   2. Deaktivieren Sie ***Use specific client ID for users and user groups cache***..
   3. Klicken Sie auf die Schaltfläche ***Reset cache***.
   4. Speichern Sie Ihre Änderungen.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/server/de/knowledge-base/troubleshooting-articles/unexpected-exception.-please-see-server-logs-for-details.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
